%define major 2.26
%define oname evince
Name: evince-gtk
Version: %major.2
Release: alt3.M51.1
Summary: A document viewer
License: GPL
Group: Office
Url: http://www.gnome.org/projects/evince/
Packager: Lenar Shakirov <snejok@altlinux.org>

Requires: lib%name = %version-%release

Source: %name-%version.tar
Patch: %name-%version-%release.patch

Conflicts: %oname

BuildRequires(Pre): libGConf-devel
BuildRequires: GConf gcc-c++ gnome-common gnome-doc-utils-xslt gtk-doc gnome-icon-theme intltool libSM-devel libdbus-glib-devel libdjvu-devel
BuildRequires: libpoppler-glib-devel libspectre-devel libtiff-devel libxml2-devel

%description
Evince is a document viewer capable of displaying multiple and single page
document formats like PDF and Postscript. (version without GNOME)

%package -n lib%name
Summary: Library for the %name project
Group: Office
Conflicts: lib%oname

%description -n lib%name
Library for %name project.

%package -n lib%name-devel
Summary: Development tools for the %name
Group: Development/C
Requires: lib%name = %version-%release
Conflicts: lib%oname-devel

%description -n lib%name-devel
Header files for %name library.

%prep
%setup -q
%patch -p1

%build
gnome-doc-prepare -f
gtkdocize
%autoreconf
%configure \
	--disable-schemas-install \
	--disable-scrollkeeper \
	--enable-pdf \
	--enable-tiff \
	--enable-djvu \
	--disable-dvi \
	--enable-pixbuf \
	--enable-comics \
	--enable-impress \
	--enable-pixbuf \
	--enable-gtk-doc \
	--disable-nautilus \
	--without-libgnome \
	--without-keyring \
	--with-print=gtk \
	--enable-dbus \
	--disable-static
%make_build

%install
%make DESTDIR=%buildroot install

subst '/NoDisplay/d' %buildroot%_desktopdir/%oname.desktop
sed 's/Categories=.*/Categories=Viewer;Office;GTK;/' -i %buildroot%_desktopdir/%oname.desktop

%find_lang %oname --with-gnome

%post
%gconf2_install %oname

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %oname
fi

%files -f %oname.lang
%doc AUTHORS NEWS README
%_sysconfdir/gconf/schemas/*.schemas
%_bindir/evince
%_bindir/evince-thumbnailer
%_desktopdir/%oname.desktop
%_datadir/%oname
%_datadir/gtk-doc/html/%oname
%_iconsdir/hicolor/*/apps/*
%_man1dir/*.1*

%files -n lib%name
%_libdir/libevdocument.so.*
%_libdir/libevview.so.*
%dir %_libdir/evince/
%dir %_libdir/evince/1/
%dir %_libdir/evince/1/backends/
%_libdir/evince/1/backends/*.so
%_libdir/evince/1/backends/*.evince-backend

%files -n lib%name-devel
%_includedir/evince
%_libdir/libevdocument.so
%_libdir/libevview.so
%_pkgconfigdir/*
%_datadir/gtk-doc/html/libevdocument
%_datadir/gtk-doc/html/libevview

%changelog
* Mon Nov 01 2010 Lenar Shakirov <snejok@altlinux.ru> 2.26.2-alt3.M51.1
- desktop file: moved to Viewer;Office;GTK; (closes: #24157)
- backport to 5.1

* Mon Sep 27 2010 Lenar Shakirov <snejok@altlinux.ru> 2.26.2-alt2.M51.1
- backport to 5.1: Conflicts: evince, libevince, libevince-devel

* Wed Sep 01 2010 Lenar Shakirov <snejok@altlinux.ru> 2.26.2-alt1.1.M51.1
- backport to 5.1

* Tue Aug 31 2010 Igor Vlasenko <viy@altlinux.ru> 2.26.2-alt2.1
- NMU upload of Lenar Shakirov work (closes: #21746)

* Tue Aug 31 2010 Lenar Shakirov <snejok@altlinux.ru> 2.26.2-alt2
- spec fixed: %%name -> %%oname

* Thu Aug 20 2009 Anton V. Boyarshinov <boyarsh@altlinux.ru> 2.26.2-alt1
- -gtk (no libgnome and dvi) version based on gnome based from shrek@ 

* Wed Apr 22 2009 Valery Inozemtsev <shrek@altlinux.ru> 2.26.1-alt1
- 2.26.1

* Fri Mar 13 2009 Evgeny Sinelnikov <sin@altlinux.ru> 2.25.92-alt1
- new version 2.25.92
- rebuild with new libdjvulibre

* Mon Mar 02 2009 Vitaly Lipatov <lav@altlinux.ru> 2.25.91-alt1
- new version 2.25.91
- split libevince and libevince-devel

* Wed Jan 07 2009 Vitaly Lipatov <lav@altlinux.ru> 2.25.4-alt1
- new version 2.25.4 (with rpmrb script)

* Mon Jan 05 2009 Vitaly Lipatov <lav@altlinux.ru> 2.25.2-alt3
- really pack dvi backend module into evince-dvi, not djvu (fix bug #18444)

* Thu Dec 18 2008 Vitaly Lipatov <lav@altlinux.ru> 2.25.2-alt2
- review spec and merge with some Yury Sedunov's changes from his NMU
- build with libspectre
- split dvi support in evince-dvi subpackage
- remove devel stuffs as unneeded

* Tue Dec 16 2008 Vitaly Lipatov <lav@altlinux.ru> 2.25.2-alt1
- new version 2.25.2 (with rpmrb script)
- disable dvi support (due big tetex-core requires)
- pack missed libdirs
- drop obsoleted post/postun macros

* Mon Nov 24 2008 Yuri N. Sedunov <aris@altlinux.org> 2.24.2-alt1
- 2.24.2
- removed obsolete %%post* scripts

* Tue Oct 21 2008 Yuri N. Sedunov <aris@altlinux.org> 2.24.1-alt1
- 2.24.1

* Wed Oct 01 2008 Yuri N. Sedunov <aris@altlinux.org> 2.24.0-alt1
- 2.24.0
- ps support via libspectre
- devel subpackage
- doc-devel subpackage(noarch)

* Sun Jun 15 2008 Vitaly Lipatov <lav@altlinux.ru> 2.22.2-alt1
- new version 2.22.2 (with rpmrb script)

* Thu May 01 2008 Vitaly Lipatov <lav@altlinux.ru> 2.22.1.1-alt2
- rebuild with libpoppler 0.8

* Thu Apr 10 2008 Vitaly Lipatov <lav@altlinux.ru> 2.22.1.1-alt1
- new version 2.22.1.1 (with rpmrb script)

* Thu Dec 27 2007 Vitaly Lipatov <lav@altlinux.ru> 2.21.1-alt1
- new version 2.21.1 (with rpmrb script)

* Tue Nov 27 2007 Vitaly Lipatov <lav@altlinux.ru> 2.20.2-alt1
- new version 2.20.2 (with rpmrb script)
- fix gconf2_ macros using (fix bug #13419)

* Wed Nov 14 2007 Vitaly Lipatov <lav@altlinux.ru> 2.20.1-alt4
- add GConf requires (fix bug #13419)

* Sat Nov 10 2007 Vitaly Lipatov <lav@altlinux.ru> 2.20.1-alt3
- add Provides: bindir/name
- remove NoDisplay from desktop file (fix bug #13369)
- return dvi support
- update buildreqs

* Mon Nov 05 2007 Vitaly Lipatov <lav@altlinux.ru> 2.20.1-alt2
- enable nautilus extension
- add gconf files

* Sun Oct 28 2007 Vitaly Lipatov <lav@altlinux.ru> 2.20.1-alt1
- new version 2.20.1 (with rpmrb script)
- update buildreq

* Wed Sep 26 2007 Vitaly Lipatov <lav@altlinux.ru> 2.20.0-alt1
- new version 2.20.0 (with rpmrb script)

* Wed Sep 05 2007 Vitaly Lipatov <lav@altlinux.ru> 2.19.92-alt1
- new version 2.19.92 (with rpmrb script)
- build with libpoppler 0.6

* Tue Jul 31 2007 Vitaly Lipatov <lav@altlinux.ru> 0.9.3-alt1
- new version 0.9.3 (with rpmrb script)

* Fri Jul 20 2007 Vitaly Lipatov <lav@altlinux.ru> 0.9.2-alt2
- reverted changes for build with libpoppler 0.5.4

* Thu Jul 12 2007 Vitaly Lipatov <lav@altlinux.ru> 0.9.2-alt1
- new version 0.9.2 (with rpmrb script)
- add ghostscript build requires
- still wait for libpoppler >= 0.5.9

* Wed Jun 20 2007 Vitaly Lipatov <lav@altlinux.ru> 0.9.1-alt1
- new version 0.9.1 (with rpmrb script)

* Sat Jun 09 2007 Vitaly Lipatov <lav@altlinux.ru> 0.9.0-alt1
- new version 0.9.0 (with rpmrb script)
- update buildreqs, fix comics build

* Sun Apr 29 2007 Vitaly Lipatov <lav@altlinux.ru> 0.8.1-alt1
- new version 0.8.1 (with rpmrb script)

* Wed Mar 14 2007 Vitaly Lipatov <lav@altlinux.ru> 0.8.0-alt1
- new version 0.8.0 (with rpmrb script)
- bzip ChangeLog (fix bug #11077), thanks icesik@

* Fri Feb 16 2007 Vitaly Lipatov <lav@altlinux.ru> 0.7.2-alt1
- new version 0.7.2 (with rpmrb script)

* Tue Dec 26 2006 Vitaly Lipatov <lav@altlinux.ru> 0.7.0-alt0.1
- new version 0.7.0 (with rpmrb script)

* Fri Oct 13 2006 Vitaly Lipatov <lav@altlinux.ru> 0.6.1-alt0.1
- new version 0.6.1 (with rpmrb script)

* Sun Sep 10 2006 Vitaly Lipatov <lav@altlinux.ru> 0.6.0-alt0.1
- new version (0.6.0), add icons
- remove debian menu, update buildreqs

* Thu Jul 20 2006 Vitaly Lipatov <lav@altlinux.ru> 0.5.4-alt0.1
- new version 0.5.4 (with rpmrb script)

* Sun May 21 2006 Vitaly Lipatov <lav@altlinux.ru> 0.5.2-alt0.1
- enable comics support
- fix build with new libpoppler

* Mon Mar 27 2006 Vitaly Lipatov <lav@altlinux.ru> 0.5.2-alt0.1
- new version (0.5.2)
- update buildreq, use make_build

* Mon Feb 13 2006 Vitaly Lipatov <lav@altlinux.ru> 0.4.0-alt1
- new version

* Sat Sep 10 2005 Vitaly Lipatov <lav@altlinux.ru> 0.4.0-alt0.1
- new version, build with libpoppler 0.4.2, djvu, t1lib
- build with new gnome-doc-utils

* Sun Jul 31 2005 Vitaly Lipatov <lav@altlinux.ru> 0.3.2-alt0.1
- first build for ALT Linux Sisyphus
